-module(in3a).

-export([double_greatest/2]).

-record(rec,{a, b}).

double_greatest(A, B) ->
    Rec = #rec{a = A, b = B},
    case Rec#rec.a > Rec#rec.b of
      true -> in3b:double(Rec#rec.a);
      _ -> 2*B
    end.
